<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title></title>
    <filename>main</filename>
  </compound>
  <compound kind="struct">
    <name>globus_gass_transfer_listener_proto_s</name>
    <filename>structglobus__gass__transfer__listener__proto__s.html</filename>
    <member kind="variable">
      <type>globus_gass_transfer_proto_listener_t</type>
      <name>close_listener</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_listener_t</type>
      <name>listen</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_accept_t</type>
      <name>accept</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_listener_t</type>
      <name>destroy</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_gass_transfer_proto_descriptor_t</name>
    <filename>structglobus__gass__transfer__proto__descriptor__t.html</filename>
    <member kind="variable">
      <type>char *</type>
      <name>url_scheme</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_new_attr_t</type>
      <name>new_requestattr</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_new_request_t</type>
      <name>new_request</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_new_attr_t</type>
      <name>new_listenerattr</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_create_listener_t</type>
      <name>new_listener</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_gass_transfer_request_proto_s</name>
    <filename>structglobus__gass__transfer__request__proto__s.html</filename>
    <member kind="variable">
      <type>globus_gass_transfer_proto_send_t</type>
      <name>send_buffer</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_receive_t</type>
      <name>recv_buffer</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_func_t</type>
      <name>fail</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_func_t</type>
      <name>deny</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_func_t</type>
      <name>refer</name>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_func_t</type>
      <name>authorize</name>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>globus_gass_transfer_proto_func_t</type>
      <name>destroy</name>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_gass_transfer_request_t</name>
    <filename>structglobus__gass__transfer__request__t.html</filename>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_activation</name>
    <title>Activation</title>
    <filename>group__globus__gass__transfer__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_GASS_TRANSFER_MODULE</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_client</name>
    <title>Client-Initiated Operations</title>
    <filename>group__globus__gass__transfer__client.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_register_get</name>
      <anchor>ga0</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url, globus_gass_transfer_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_get</name>
      <anchor>ga1</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_register_put</name>
      <anchor>ga2</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url, globus_size_t length, globus_gass_transfer_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_put</name>
      <anchor>ga3</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url, globus_size_t length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_register_append</name>
      <anchor>ga4</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url, globus_size_t length, globus_gass_transfer_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_append</name>
      <anchor>ga5</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, char *url, globus_size_t length)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_server</name>
    <title>Implementing Servers</title>
    <filename>group__globus__gass__transfer__server.html</filename>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_close_callback_t</name>
      <anchor>ga0</anchor>
      <arglist>)(void *callback_arg, globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_listen_callback_t</name>
      <anchor>ga1</anchor>
      <arglist>)(void *callback_arg, globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_create_listener</name>
      <anchor>ga2</anchor>
      <arglist>(globus_gass_transfer_listener_t *listener, globus_gass_transfer_listenerattr_t *attr, char *scheme)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_close_listener</name>
      <anchor>ga3</anchor>
      <arglist>(globus_gass_transfer_listener_t listener, globus_gass_transfer_close_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_register_listen</name>
      <anchor>ga4</anchor>
      <arglist>(globus_gass_transfer_listener_t listener, globus_gass_transfer_listen_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_register_accept</name>
      <anchor>ga5</anchor>
      <arglist>(globus_gass_transfer_request_t *request, globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_listener_t listener, globus_gass_transfer_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_gass_transfer_listener_get_user_pointer</name>
      <anchor>ga6</anchor>
      <arglist>(globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listener_set_user_pointer</name>
      <anchor>ga7</anchor>
      <arglist>(globus_gass_transfer_listener_t listener, void *user_pointer)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_gass_transfer_listener_get_base_url</name>
      <anchor>ga8</anchor>
      <arglist>(globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_refer</name>
      <anchor>ga9</anchor>
      <arglist>(globus_gass_transfer_request_t request, char **urls, globus_size_t num_urls)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_authorize</name>
      <anchor>ga10</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_size_t total_length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_deny</name>
      <anchor>ga11</anchor>
      <arglist>(globus_gass_transfer_request_t request, int reason, char *message)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_data</name>
    <title>Sending and Receiving Data</title>
    <filename>group__globus__gass__transfer__data.html</filename>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_bytes_callback_t</name>
      <anchor>ga0</anchor>
      <arglist>)(void *arg, globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t length, globus_bool_t last_data)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_send_bytes</name>
      <anchor>ga1</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t send_length, globus_bool_t last_data, globus_gass_transfer_bytes_callback_t callback, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_receive_bytes</name>
      <anchor>ga2</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t max_length, globus_size_t wait_for_length, globus_gass_transfer_bytes_callback_t callback, void *user_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_referral</name>
    <title>Referrals</title>
    <filename>group__globus__gass__transfer__referral.html</filename>
    <member kind="function">
      <type>globus_size_t</type>
      <name>globus_gass_transfer_referral_get_count</name>
      <anchor>ga0</anchor>
      <arglist>(globus_gass_transfer_referral_t *referral)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_gass_transfer_referral_get_url</name>
      <anchor>ga1</anchor>
      <arglist>(globus_gass_transfer_referral_t *referral, globus_size_t index)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_referral_destroy</name>
      <anchor>ga2</anchor>
      <arglist>(globus_gass_transfer_referral_t *referral)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_request</name>
    <title>Request Handles</title>
    <filename>group__globus__gass__transfer__request.html</filename>
    <class kind="struct">globus_gass_transfer_request_t</class>
    <member kind="enumeration">
      <name>globus_gass_transfer_request_type_t</name>
      <anchor>ga15</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_TYPE_INVALID</name>
      <anchor>gga15a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_TYPE_GET</name>
      <anchor>gga15a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_TYPE_PUT</name>
      <anchor>gga15a25</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_TYPE_APPEND</name>
      <anchor>gga15a26</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_gass_transfer_request_status_t</name>
      <anchor>ga16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_INVALID</name>
      <anchor>gga16a33</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_STARTING</name>
      <anchor>gga16a34</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_PENDING</name>
      <anchor>gga16a35</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_FAILED</name>
      <anchor>gga16a36</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_REFERRED</name>
      <anchor>gga16a37</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_DENIED</name>
      <anchor>gga16a38</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GASS_TRANSFER_REQUEST_DONE</name>
      <anchor>gga16a39</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_gass_transfer_request_type_t</type>
      <name>globus_gass_transfer_request_get_type</name>
      <anchor>ga0</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>globus_gass_transfer_request_get_user_pointer</name>
      <anchor>ga1</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_set_user_pointer</name>
      <anchor>ga2</anchor>
      <arglist>(globus_gass_transfer_request_t request, void *user_pointer)</arglist>
    </member>
    <member kind="function">
      <type>globus_gass_transfer_request_status_t</type>
      <name>globus_gass_transfer_request_get_status</name>
      <anchor>ga3</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_get_referral</name>
      <anchor>ga4</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_gass_transfer_referral_t *referral)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_gass_transfer_request_get_url</name>
      <anchor>ga5</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>globus_size_t</type>
      <name>globus_gass_transfer_request_get_length</name>
      <anchor>ga6</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_set_type</name>
      <anchor>ga7</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_gass_transfer_request_type_t type)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_set_url</name>
      <anchor>ga8</anchor>
      <arglist>(globus_gass_transfer_request_t request, char *url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_request_set_length</name>
      <anchor>ga9</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_size_t length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_get_denial_reason</name>
      <anchor>ga10</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_gass_transfer_request_get_denial_message</name>
      <anchor>ga11</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>globus_gass_transfer_request_get_subject</name>
      <anchor>ga12</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_request_destroy</name>
      <anchor>ga14</anchor>
      <arglist>(globus_gass_transfer_request_t request)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_requestattr</name>
    <title>Request Attributes</title>
    <filename>group__globus__gass__transfer__requestattr.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_proxy_url</name>
      <anchor>ga3</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, char *proxy_url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_proxy_url</name>
      <anchor>ga11</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, char **proxy_url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_block_size</name>
      <anchor>ga4</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_size_t block_size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_block_size</name>
      <anchor>ga12</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_size_t *block_size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_file_mode</name>
      <anchor>ga5</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_file_mode_t file_mode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_file_mode</name>
      <anchor>ga13</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_file_mode_t *file_mode)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_connection_reuse</name>
      <anchor>ga6</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_bool_t connection_reuse)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_connection_reuse</name>
      <anchor>ga14</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_bool_t *connection_reuse)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_socket_sndbuf</name>
      <anchor>ga7</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, int sndbuf)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_socket_sndbuf</name>
      <anchor>ga15</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, int *sndbuf)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_socket_rcvbuf</name>
      <anchor>ga8</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, int rcvbuf)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_socket_rcvbuf</name>
      <anchor>ga16</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, int *rcvbuf)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_set_socket_nodelay</name>
      <anchor>ga9</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_bool_t nodelay)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_get_socket_nodelay</name>
      <anchor>ga17</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_bool_t *nodelay)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_secure_requestattr_set_authorization</name>
      <anchor>ga10</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_authorization_t mode, char *subject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_secure_requestattr_get_authorization</name>
      <anchor>ga18</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_authorization_t *mode, char **subject)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_init</name>
      <anchor>ga1</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr, char *url_scheme)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_requestattr_destroy</name>
      <anchor>ga2</anchor>
      <arglist>(globus_gass_transfer_requestattr_t *attr)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_listenerattr</name>
    <title>Listener attributes</title>
    <filename>group__globus__gass__transfer__listenerattr.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listenerattr_set_backlog</name>
      <anchor>ga2</anchor>
      <arglist>(globus_gass_transfer_listenerattr_t *attr, int backlog)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listenerattr_get_backlog</name>
      <anchor>ga4</anchor>
      <arglist>(globus_gass_transfer_listenerattr_t *attr, int *backlog)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listenerattr_set_port</name>
      <anchor>ga3</anchor>
      <arglist>(globus_gass_transfer_listenerattr_t *attr, unsigned short port)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listenerattr_get_port</name>
      <anchor>ga5</anchor>
      <arglist>(globus_gass_transfer_listenerattr_t *attr, unsigned short *port)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_listenerattr_init</name>
      <anchor>ga1</anchor>
      <arglist>(globus_gass_transfer_listenerattr_t *attr, char *url_scheme)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_requestattr_implementation</name>
    <title>Implementing Request Attributes</title>
    <filename>group__globus__gass__transfer__requestattr__implementation.html</filename>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_gass_transfer_requestattr_initialize</name>
      <anchor>ga0</anchor>
      <arglist>(globus_object_t *obj, char *proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_gass_transfer_socket_requestattr_initialize</name>
      <anchor>ga1</anchor>
      <arglist>(globus_object_t *obj, char *proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse, int sndbuf, int rcvbuf, globus_bool_t nodelay)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_gass_transfer_secure_requestattr_initialize</name>
      <anchor>ga2</anchor>
      <arglist>(globus_object_t *obj, char *proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse, int sndbuf, int rcvbuf, globus_bool_t nodelay, globus_gass_transfer_authorization_t authorization, char *subject)</arglist>
    </member>
    <member kind="function">
      <type>globus_object_t *</type>
      <name>globus_gass_transfer_listenerattr_initialize</name>
      <anchor>ga3</anchor>
      <arglist>(globus_object_t *obj, int backlog, unsigned short port)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gass_transfer_protocol</name>
    <title>Protocol Modules</title>
    <filename>group__globus__gass__transfer__protocol.html</filename>
    <class kind="struct">globus_gass_transfer_request_proto_s</class>
    <class kind="struct">globus_gass_transfer_listener_proto_s</class>
    <class kind="struct">globus_gass_transfer_proto_descriptor_t</class>
    <member kind="typedef">
      <type>globus_gass_transfer_request_proto_s</type>
      <name>globus_gass_transfer_request_proto_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_gass_transfer_listener_proto_s</type>
      <name>globus_gass_transfer_listener_proto_t</name>
      <anchor>ga1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_proto_send_t</name>
      <anchor>ga2</anchor>
      <arglist>)(globus_gass_transfer_request_proto_t *proto, globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t send_length, globus_bool_t last_data)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_proto_receive_t</name>
      <anchor>ga3</anchor>
      <arglist>)(globus_gass_transfer_request_proto_t *proto, globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t bytes_length, globus_size_t wait_for_length)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_proto_func_t</name>
      <anchor>ga4</anchor>
      <arglist>)(globus_gass_transfer_request_proto_t *proto, globus_gass_transfer_request_t request)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_proto_new_request_t</name>
      <anchor>ga5</anchor>
      <arglist>)(globus_gass_transfer_request_t request, globus_gass_transfer_requestattr_t *attr)</arglist>
    </member>
    <member kind="typedef">
      <type>int(*</type>
      <name>globus_gass_transfer_proto_create_listener_t</name>
      <anchor>ga6</anchor>
      <arglist>)(globus_gass_transfer_listener_t listener, globus_gass_transfer_listenerattr_t *attr, char *scheme, char **base_url, globus_gass_transfer_listener_proto_t **proto)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_proto_listener_t</name>
      <anchor>ga7</anchor>
      <arglist>)(globus_gass_transfer_listener_proto_t *proto, globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_object_t *(*</type>
      <name>globus_gass_transfer_proto_new_attr_t</name>
      <anchor>ga8</anchor>
      <arglist>)(char *url_scheme)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_gass_transfer_proto_accept_t</name>
      <anchor>ga9</anchor>
      <arglist>)(globus_gass_transfer_listener_proto_t *proto, globus_gass_transfer_listener_t listener, globus_gass_transfer_request_t request, globus_gass_transfer_requestattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_send_complete</name>
      <anchor>ga10</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t nbytes, globus_bool_t failed, globus_bool_t last_data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_receive_complete</name>
      <anchor>ga11</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_byte_t *bytes, globus_size_t nbytes, globus_bool_t failed, globus_bool_t last_data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_listener_ready</name>
      <anchor>ga12</anchor>
      <arglist>(globus_gass_transfer_listener_t listener)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_proto_register_protocol</name>
      <anchor>ga13</anchor>
      <arglist>(globus_gass_transfer_proto_descriptor_t *proto_desc)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gass_transfer_proto_unregister_protocol</name>
      <anchor>ga14</anchor>
      <arglist>(globus_gass_transfer_proto_descriptor_t *proto_desc)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_request_ready</name>
      <anchor>ga15</anchor>
      <arglist>(globus_gass_transfer_request_t request, globus_gass_transfer_request_proto_t *proto)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_new_listener_request</name>
      <anchor>ga16</anchor>
      <arglist>(globus_gass_transfer_listener_t listener, globus_gass_transfer_request_t request, globus_gass_transfer_request_proto_t *proto)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_request_denied</name>
      <anchor>ga17</anchor>
      <arglist>(globus_gass_transfer_request_t request, int reason, char *message)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gass_transfer_proto_request_referred</name>
      <anchor>ga18</anchor>
      <arglist>(globus_gass_transfer_request_t request, char **url, globus_size_t num_urls)</arglist>
    </member>
  </compound>
</tagfile>
